#ifndef _EFL_CONFIG_EO_H_
#define _EFL_CONFIG_EO_H_

#ifndef _EFL_CONFIG_EO_CLASS_TYPE
#define _EFL_CONFIG_EO_CLASS_TYPE

typedef Eo Efl_Config;

#endif

#ifndef _EFL_CONFIG_EO_TYPES
#define _EFL_CONFIG_EO_TYPES


#endif
#ifdef EFL_BETA_API_SUPPORT
/** A generic configuration interface, that holds key-value pairs.
 *
 * @ingroup Efl_Config
 */
#define EFL_CONFIG_INTERFACE efl_config_interface_get()

EWAPI const Efl_Class *efl_config_interface_get(void);

/**
 * @brief A generic configuration value, referred to by name.
 *
 * @param[in] obj The object.
 * @param[in] name Configuration option name.
 * @param[in] value Configuration option value. May be @c null if not found.
 *
 * @return @c false in case of error: value type was invalid, the config can't
 * be changed, config does not exist...
 *
 * @ingroup Efl_Config
 */
EOAPI Eina_Bool efl_config_set(Eo *obj, const char *name, const Eina_Value *value);

/**
 * @brief A generic configuration value, referred to by name.
 *
 * @param[in] obj The object.
 * @param[in] name Configuration option name.
 *
 * @return The value. It will be empty if it doesn't exist. The caller must
 * free it after use (using @c eina_value_free() in C).
 *
 * @ingroup Efl_Config
 */
EOAPI Eina_Value *efl_config_get(const Eo *obj, const char *name) EFL_TRANSFER_OWNERSHIP;
#endif /* EFL_BETA_API_SUPPORT */

#endif
